=== debian/changelog ===
psgml (1.4.0-12.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Declare need for fakeroot when building psgml.
    (Closes: #1092426)

 -- Niels Thykier <niels@thykier.net>  Sun, 16 Feb 2025 13:23:55 +0000

psgml (1.4.0-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007576)

 -- Bastian Germann <bage@debian.org>  Sat, 23 Mar 2024 14:31:04 +0000

psgml (1.4.0-12) unstable; urgency=medium

  * Removed byte compilation and related code in emacsen.{install,remove}.
    Unnecessary, simplifies greatly, resolves upgrade issue. (Closes: 986427)

 -- Neil Roeth <neil@debian.org>  Thu, 08 Apr 2021 23:05:51 -0400

psgml (1.4.0-11) unstable; urgency=medium

  * Fixed bug where psgml-init.el was overwriting itself (Closes: 985265)
  * Added current flavor of emacs to postrm so it removes/purges properly.

 -- Neil Roeth <neil@debian.org>  Tue, 16 Mar 2021 21:16:01 -0400

psgml (1.4.0-10) unstable; urgency=medium

  * Avoid unnecessary install of compiled lisp whether or not make is
    installed. (Closes: 984542)

 -- Neil Roeth <neil@debian.org>  Sat, 13 Mar 2021 17:28:23 -0500

psgml (1.4.0-9) unstable; urgency=medium

  * Updated maintainer scripts to match Debian Emacs policy 5A and 5B regarding
    install and remove
  * Updated package dependencies to be consistent with Debian Emacs policy
  * Updated Standards-Version to 4.5.1 (no changes to package)

 -- Neil Roeth <neil@debian.org>  Sun, 03 Jan 2021 09:29:15 -0500

psgml (1.4.0-8) unstable; urgency=medium

  * Removed backup file ChangeLog~ and generated file Makefile.
  * Replaced obsolete default-enable-multibye-characters
  * Removed checks for ancient Emacs and psgml versions in postinst
  * Updated debian/emacsen.{install,remove} to work properly after change
    from flavors of emacs like emacs24 and emacs25 to single flavor called
    just emacs. Split clean target in Makefile into clean-junk and clean-elc
    for that purpose.
  * Replaced obsolete function executing-macro with executing-kbd-macro
  * Fixed infinite loop while processing DTD (Closes: #775463)
  * Changed default value of sgml-validate-command to onsgmls

 -- Neil Roeth <neil@debian.org>  Wed, 30 Dec 2020 16:43:44 -0500

psgml (1.4.0-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS due to malformed UTF-8 character (Closes: #952262):
  - Applied patch for psgml.texi; thanks Claudio Saavedra.

 -- Alberto Garcia <berto@igalia.com>  Wed, 21 Oct 2020 16:02:11 +0200

psgml (1.4.0-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to unversioned emacs package (Closes: #933319)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 02 Aug 2019 12:46:15 +0200

psgml (1.4.0-7) unstable; urgency=medium

  * Added dependency on emacs25, dropped emacs23 and emacs-snapshot.

 -- Neil Roeth <neil@debian.org>  Fri, 20 Jan 2017 07:35:15 -0500

psgml (1.4.0-6) unstable; urgency=low

  * Make build reproducible:
  - Applied patch for local.mk; thanks Chris Lamb. (Closes: #777505).
  - Applied patch for install_cmds.mk; thanks Valerie R Young (Closes: #847026).
  * Removed explicit calls to install-info as required by policy.
  * Updated Standards-Version to 3.9.8.0.

 -- Neil Roeth <neil@debian.org>  Wed, 18 Jan 2017 19:01:58 -0500

psgml (1.4.0-5) unstable; urgency=low

  * Fixed typo: "determin" -> "determine" (Closes: #639220).
  * Changed regexp for file extension from "\\.xml$" to "\\.xml\\'"
    (Closes: #680702).

 -- Neil Roeth <neil@debian.org>  Tue, 15 Oct 2013 08:00:28 -0400

psgml (1.4.0-4) unstable; urgency=low

  * Updated Standards-Version to 3.9.4.0.  No changes required.
  * Fixed misspelling in prior changelog entry.

 -- Neil Roeth <neil@debian.org>  Mon, 14 Oct 2013 18:22:00 -0400

psgml (1.4.0-3) unstable; urgency=low

  * Another if-Emacs-24 update - delete 50psgml-init.el in postrm when 
    package is purged.
  * Last version was accidentally built as a native package; reverted back
    to non-native.

 -- Neil Roeth <neil@debian.org>  Sun, 13 Oct 2013 10:32:26 -0400

psgml (1.4.0-2) unstable; urgency=low

  * Modified Emacs remove script so that it deletes compiled list files
    when package is removed.
  * New version no longer uses make-local-hook. (Closes: #669280).

 -- Neil Roeth <neil@debian.org>  Sat, 12 Oct 2013 15:20:57 -0400

psgml (1.4.0-1) unstable; urgency=low

  * New upstream release - actually unofficial changes from
    http://www.fsavigny.de/gpled-software/psgml-1.4.0.tar.gz
    since psgml is not really being updated any more.
  * Updates to work with Emacs 24. (Closes: #693432).
  * New upstream version eliminates old style backquotes. (Closes: #669282).

 -- Neil Roeth <neil@debian.org>  Thu, 10 Oct 2013 20:09:05 -0400

psgml (1.3.2-14) unstable; urgency=low

  * Check for existence of ucf and ucfr before calling in postrm
    script. (Closes: #685467).

 -- Neil Roeth <neil@debian.org>  Tue, 21 Aug 2012 23:24:41 -0400

psgml (1.3.2-13) unstable; urgency=low

  * Removed obsolete package sp from Recommends.
  * Removed obsolete packages emacs22 and emacs21 from Depends.
  * Policy 12.2: Removed installer script references to nonexistent
    install-info-altdir and added dependency on dpkg | install-info.
  * Updated Standards-Version to 3.9.2.0.

 -- Neil Roeth <neil@debian.org>  Sat, 28 May 2011 15:47:15 -0400

psgml (1.3.2-12) unstable; urgency=low

  * Updated to include emacs23. (Closes: #541852).
  * Updated psgml{,-api}.texi and regenerated info files in order to put
    info into Emacs category of Info instead of Miscellaneous.
  * Updated Standards-Version to 3.8.2.0, no changes required.

 -- Neil Roeth <neil@debian.org>  Sun, 16 Aug 2009 17:49:30 -0400

psgml (1.3.2-11) unstable; urgency=low

  * Fix ucf handling of psgml-init.el file. (Closes: #516843).
  * Do not create /etc/emacs<flavour> directories unless needed. (Closes:
    #501827).

 -- Neil Roeth <neil@debian.org>  Tue, 09 Jun 2009 22:43:58 -0400


