=== debian/control ===
Source: psgml
Section: text
Homepage: http://sourceforge.net/projects/psgml/
Priority: optional
Maintainer: Neil Roeth <neil@debian.org>
Rules-Requires-Root: binary-targets
Standards-Version: 4.5.1
Build-Depends-Indep: texinfo, sharutils


Package: psgml
Architecture: all
Depends: ucf (>= 0.08), emacsen-common, sgml-base, sgml-data
Recommends: emacs (>= 46.0), opensp
Suggests: debiandoc-sgml, make, w3-dtd-mathml
Description: Emacs major mode for editing SGML documents
 PSGML is a major mode for the editor Emacs used for editing SGML
 documents.  It contains a simple SGML parser and can work with any
 DTD. (The most popular nowadays are the HTML DTDs.  This package
 turns your emacs into the one of most powerful HTML editors and will
 be ultimately flexible as well, since you could upgrade your editor
 by just installing new DTDs).  Functions provided includes menus and
 commands for inserting tags with only the contextually valid tags,
 identification of structural errors, editing of attribute values in a
 separate window with information about types and defaults, and
 structure based editing.
 .
 Since psgml parses the DTD to allow you to edit SGML documents, you do
 need to have the DTDs installed in order to use psgml.  Since psgml
 installs itself as an HTML mode in Emacs, it depends on sgml-data.  Some
 other packages which also provide SGML DTDs are suggested, like
 debiandoc-sgml and linuxdoc-sgml.
 .
 SGML, a language for encoding the structure of a document, is an ISO
 standard: ISO 8879:1986 "Information processing - Text and office
 systems - Standard Generalized Markup Language (SGML)".
 .
 Psgml is a standard package for XEmacs, and thus this package does not 
 install itself for XEmacsen.
 .
 The official home page has not been updated since 2005.  The latest version
 of this package was built from an unofficial version at
 <URL:http://www.fsavigny.de/gpled-software/psgml-1.4.0.tar.gz>
