=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2

ftp://ftp.lysator.liu.se/pub/sgml/ALPHA/psgml-([\.\d]+).tar.gz
